NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::EditPlacePartBuilder Class Reference


To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateEditPlacePartBuilder

Created in NX10.0.0. More...

Inheritance diagram for NXOpen::Routing::EditPlacePartBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void FinalizePlacementForScrewSeat (NXOpen::TaggedObject *startPointId, NXOpen::TaggedObject *endPointId, const NXOpen::Point3d &alignStartPoint, const NXOpen::Point3d &alignEndPoint, NXOpen::Expression *length, NXOpen::Expression *angle, const NXOpen::Vector3d &alignVector, NXOpen::TaggedObject *screwSeatInstance, NXOpen::TaggedObject *target)
 Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters. More...
 
NXOpen::ExpressionGetScrewSeatAngle ()
 Gets the angle expression to be used for screw seat placement along a placed object. More...
 
NXOpen::ExpressionGetScrewSeatLength ()
 Gets the length expression to be used for screw seat placement along a placed object. More...
 
NXOpen::SelectTaggedObjectListSelectedPart ()
 Returns the target body to edit part placement
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateEditPlacePartBuilder

Created in NX10.0.0.


Member Function Documentation

void NXOpen::Routing::EditPlacePartBuilder::FinalizePlacementForScrewSeat ( NXOpen::TaggedObject startPointId,
NXOpen::TaggedObject endPointId,
const NXOpen::Point3d alignStartPoint,
const NXOpen::Point3d alignEndPoint,
NXOpen::Expression length,
NXOpen::Expression angle,
const NXOpen::Vector3d alignVector,
NXOpen::TaggedObject screwSeatInstance,
NXOpen::TaggedObject target 
)

Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters.


Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
startPointIdThe starting input point
endPointIdThe end input point
alignStartPointThe starting point to align screw seat fixture port at
alignEndPointThe ending point to align screw seat fixture port at
lengthThe length along target to place screw seat
angleThe angle along target to place screw seat
alignVectorThe align vector along which to position screw seat
screwSeatInstanceThe screw seat instance to constrain to
targetThe target object to constrain to
NXOpen::Expression* NXOpen::Routing::EditPlacePartBuilder::GetScrewSeatAngle ( )

Gets the angle expression to be used for screw seat placement along a placed object.

Returns
The angle used for screw seat placement on placed routing object.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::EditPlacePartBuilder::GetScrewSeatLength ( )

Gets the length expression to be used for screw seat placement along a placed object.

Returns
The length used for screw seat placement on placed routing object.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::SelectTaggedObjectList* NXOpen::Routing::EditPlacePartBuilder::SelectedPart ( )

Returns the target body to edit part placement
Created in NX10.0.0.



License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.